Bug 988949 - Upgrade checks should be run exclusively when enabled in oo-accept-node
Upgrade checks should be run exclusively when enabled in oo-accept-node
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 14:45 EDT by Paul Morie
Modified: 2015-05-14 19:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:57:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-07-26 14:45:37 EDT
Currently, oo-accept-node has an option, --include-upgrade-checks, which turns on checks related to gear upgraders in addition to all the normal checks.  This bug is to make those checks run exclusively when the option is turned on, and rename the option to --run-upgrade-checks.
Comment 1 openshift-github-bot 2013-07-26 17:02:20 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/033342552bf9771298a44387e18586ad1f2edc04
Fix bug 988949: make upgrade checks run exclusively when enabled
Comment 4 Meng Bo 2013-07-30 04:10:20 EDT
Checked on devenv_3580,

# oo-accept-node --run-upgrade-check -v
INFO: loading node configuration file /etc/openshift/node.conf
INFO: loading resource limit file /etc/openshift/resource_limits.conf
INFO: finding external network device
INFO: running upgrade checks
FAIL: directory ea6fed6ef8ee11e2b1f122000aa43fb5 contains upgrade data
FAIL: directory ea6fed6ef8ee11e2b1f122000aa43fb5 contains pre-upgrade state
2 ERRORS

Only upgrade related checks will be ran if --run-upgrade-check flag enabled.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.